[Overview][Classes][Procedures and functions][Index] | Reference for unit 'streamcoll' (#fcl)

# TStreamCollection.SaveToStream

Load the collection from the stream.

## Declaration

Source position: streamcoll.pp line 62

`public procedure TStreamCollection.SaveToStream(`
`S: TStream`
`);`

## Arguments

`S` |  | Stream to save collection to

## Description

SaveToStream saves the collection to the stream S so it can be read from the stream with LoadFromStream. It does this by writing the number of collection items to the stream, and then streaming all items in the collection by calling their SaveToStream method.

## Errors

None.

## See also

TStreamCollection.LoadFromStream |  | Load the collection from a stream

Documentation generated on: Feb 26 2014